#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,i,j;
    scanf("%d",&n);
    double A[n],P[n],zarade[n],drzavne_zarade[n],max=0,procenat;
    for(i=0;i<n;i++){
        scanf("%lf %lf",&A[i],&P[i]);
        drzavne_zarade[i]=0;
    }
    for(i=0;i<n;i++){
        procenat=P[i];
        for(j=0;j<n;j++){
            if(procenat<=P[j]){
                zarade[j]=(procenat/100)*A[j];
            }
            else zarade[j]=0;
            drzavne_zarade[i]+=zarade[j];
        }
    }
    for(i=0;i<n;i++){
        if(drzavne_zarade[i]>max) max=drzavne_zarade[i];
    }
    printf("%lf",max);
    return 0;
}